<?xml version="1.0" encoding="utf-8"?>
<page xmlns="http://projectmallard.org/1.0/" xmlns:its="http://www.w3.org/2005/11/its" type="topic" id="tech-soup" xml:lang="ja">

  <info>
    <link type="guide" xref="tech" group="soup"/>

    <credit type="author copyright">
      <name>Federico Mena Quintero</name>
      <email its:translate="no">federico@gnome.org</email>
      <years>2013</years>
    </credit>

    <include xmlns="http://www.w3.org/2001/XInclude" href="cc-by-sa-3-0.xml"/>

    <desc>Asynchronous HTTP library with cookies, SSL, and XML-RPC</desc>
  </info>

<title>Soup</title>

  <p>
    Soup, or libsoup as it is commonly called, is an HTTP library designed to
    be used in graphical applications which need asynchronous operations to
    avoid blocking the user interface while network requests are going on.
  </p>

  <p>
    Soup provides functionality for using HTTP cookies, SSL encrypted
    connections, and the XML-RPC protocol based on HTTP.
  </p>

  <note>
    <p>
      Trivia: Soup is called "soup" because it started as a library for doing SOAP
      requests over HTTP.  Spanish speakers who are learning English frequently
      confuse the words "soup" and "soap", and this seemed like a funny and
      interesting name to use.
    </p>
  </note>

  <list style="compact">
    <item><p><link href="https://developer.gnome.org/libsoup/stable/">Soup reference manual</link></p></item>
  </list>

</page>
